### Hierarchy

- Controller

## Index

### Properties

- filter
- gmfThemeManager
- gmfThemes_
- listenerKeys_
- themes

### Methods

- handleDestroy_
- setTheme
- setThemes_

## Properties

### filter

filter: ((arg0: any) => boolean)

- Defined in src/theme/selectorComponent.js:147

#### Type declaration

- - (arg0: any): boolean

  - #### Parameters

    - ##### arg0: any

    #### Returns boolean

### gmfThemeManager

gmfThemeManager: any

- Defined in src/theme/selectorComponent.js:132

### gmfThemes_

gmfThemes_: any

- Defined in src/theme/selectorComponent.js:137

### listenerKeys_

listenerKeys_: EventsKey[]

- Defined in src/theme/selectorComponent.js:152

### themes

themes: any[]

- Defined in src/theme/selectorComponent.js:142

## Methods

### handleDestroy_

- handleDestroy_(): void

- - Defined in src/theme/selectorComponent.js:181

  #### Returns void

### setTheme

- setTheme(theme: any, opt_silent: boolean): void

- - Defined in src/theme/selectorComponent.js:174

  #### Parameters

  - ##### theme: any

    Theme.

  - ##### opt_silent: boolean

  #### Returns void

### setThemes_

- setThemes_(): void

- - Defined in src/theme/selectorComponent.js:162

  Store the loaded themes locally applying a filter (if any), then set the current theme.

  #### Returns void

Generated using TypeDoc